@import "vendor/bootstrap/bootstrap/media";
@import "2020base";
@import "vendor/bootstrap/bootstrap/modals";
@import "vendor/slick";

h1,h2,h3,h4,h5,h6 {
  font-weight: 400;
}

//footer
body .footer .container a{
  color: inherit;
  text-decoration: none;
}

////////////////////////////////
///////////* CHOICE CARDS *////////////
////////////////////////////////

.cmp-choice-cards {
  position: relative;
  z-index: 2;
}

.choice-cards {
  display: flex;
  flex-wrap: wrap;
}

.choice-card {
  display: flex;
  flex: 0 0 auto;
  padding: 0px 15px $spacing-unit-xs 15px;
}

.choice-card:last-child {
  padding-right: 0;
}

.choice-wrapper {
  background: $color-white;
  border-radius: $border-radius-large;
  box-shadow: $slp-box-shadow;
  flex: 0 0 100%;
  padding: 30px;
}

.choice-card .font-size-xl {
  margin-bottom: 8px;
}

.choice-card p {
  min-height: 7.2rem;
  /* three line-heights tall */
}

@media (max-width: 959px) {
  .choice-card p {
    min-height: unset;
  }
}

.choice-card .btn {
  margin-left: 0;
  width: 100%;
}

.choice-icon svg {
  margin-bottom: $spacing-unit-xs;
  width: 48px;
}

.partial-gray-background {
  margin-top: -260px;
  padding: 150px;
}

@media (max-width: 959px) {
  .choice-cards .col-md-4 {
    width: 100%;
  }
}

////////////////////////////////
///////////* WHY GITLAB *////////////
////////////////////////////////

@media (max-width: 959px) {
  .cmp-why-gitlab {
    text-align: center;
  }
}

////////////////////////////////
///////////* FEATURES *////////////
////////////////////////////////

.cmp-feature-card-grid .u-padding-sm {
  padding: $spacing-unit-xs;
}

.cmp-feature-card-grid div.media {
  flex: 0 0 auto;
  float: none;
  margin: 0;
  padding: 0 30px 30px 0;
  overflow: visible;
}

@media (max-width: 959px) {
  .cmp-feature-card-grid div.media {
    padding-right: 0;
  }
}

.cmp-feature-card-grid .media-wrapper {
  background: $color-white;
  border-radius: $border-radius-large;
  box-shadow: $slp-box-shadow;
  overflow: hidden;
}

////////////////////////////////
///////////* PLAN MATRIX *////////////
////////////////////////////////

.plan {
  outline: none;
  padding: 1.4rem 1.4rem 1.4rem 1.4rem;
  text-align: center;
}

.plan-inner-wrapper {
  border-radius: $border-radius-large;
  border-style: solid;
  border-width: 10px 2px 2px 2px;
  padding: 2.4rem 1.4rem;
}

.plan-free .plan-inner-wrapper {
  border-color: $color-black333;
}

.plan-silver-premium .plan-inner-wrapper {
  border-color: $color-purple-light-2020;
}

.plan-gold-ultimate .plan-inner-wrapper {
  border-color: $color-orange-2020;
}

.plan .title {
  @include slp-font-size-3xl;
}

.plan-free .title {
  text-transform: uppercase;
}

.plan .description {
  @include slp-font-size-xl;
  margin-bottom: 1.6rem;
  /* ^ only margin bottom IF sub-description is disabled */
}

.plan .sub-description {
  @include slp-font-size-lg;
  @include slp-bold;
  display: inline-block;
  margin-bottom: 1.6rem;
}

.plan .price {
  font-size: 6rem;
  line-height: 6.4rem;
}

.plan-silver-premium .price {
  color: $color-purple-light-2020;
}

.plan-gold-ultimate .price {
  color: $color-orange-2020;
}

.plan .price-monthly {
  @include slp-font-size-md;
}

.plan .price-annually {
  @include slp-font-size-sm;
}

.plan .plan-reason {
  margin-top: 1.6rem;
}

.plan-free .plan-reason {
  margin-left: auto;
  margin-right: auto;
  max-width: 80%;
  /* because otherwise the current phrasing wraps the line for one word. */
}

.plan .feature-title {
  @include slp-bold;
  border-top-style: solid;
  border-top-width: 2px;
  margin: 2.4rem auto 1.2rem auto;
  padding-top: 1.4rem;
}

.plan-free .feature-title {
  border-color: $color-black333;
}

.plan-silver-premium .feature-title {
  border-color: $color-purple-light-2020;
}

.plan-gold-ultimate .feature-title {
  border-color: $color-orange-2020;
}

.plan ul {
  margin-bottom: 0;
  padding-left: 0;
}

.plan li {
  @include slp-font-size-base;
  display: flex;
  list-style-type: none;
  margin-bottom: .8rem;
  text-align: left;
}

.plan .icon {
  @include slp-font-size-base;
  display: inline-block;
  flex: 0 0 auto;
  width: 2.8rem;
}

.plan-free .icon {
  color: $color-black333;
}

.plan-silver-premium .icon {
  color: $color-purple-light-2020;
}

.plan-gold-ultimate .icon {
  color: $color-orange-2020;
}

.plan .btn {
  border-width: 2px;
  margin: 16px 0px 0px 0px;
  width: 100%;
}

.btn.start-free {
  background-color: $color-white;
  border-color: $color-black333;
  box-shadow: $button-box-shadow;
  color: $color-black333;
}

.btn.start-free:active,
.btn.start-free:focus,
.btn.start-free:hover {
  background-color: $color-black333;
  border-color: $color-black333;
  color: $color-white;
}

.btn.start-silver-premium {
  background-color: $color-purple-light-2020;
  border-color: $color-purple-light-2020;
  box-shadow: $button-box-shadow;
  color: $color-white;
}

.btn.start-silver-premium:active,
.btn.start-silver-premium:focus,
.btn.start-silver-premium:hover {
  background-color: $color-purple-light-2020-alt;
  border-color: $color-purple-light-2020-alt;
  color: $color-white;
}

.btn.start-gold-ultimate {
  background-color: $color-orange-2020;
  border-color: $color-orange-2020;
  box-shadow: $button-box-shadow;
  color: $color-white;
}

.btn.start-gold-ultimate:active,
.btn.start-gold-ultimate:focus,
.btn.start-gold-ultimate:hover {
  background-color: $color-orange-2020-alt;
  border-color: $color-orange-2020-alt;
  color: $color-white;
}

.plan .title:before {
  background-position: top center;
  background-repeat: no-repeat;
  content: "";
  display: block;
  height: 52px;
  margin: 0 auto;
  width: 96px;
}

.plan-free .title:before {
  background-image: url("/images/pricing/particles-free.svg");
}

.plan-silver-premium .title:before {
  background-image: url("/images/pricing/particles-premium.svg");
}

.plan-gold-ultimate .title:before {
  background-image: url("/images/pricing/particles-ultimate.svg");
}

///////// 10620 TEST

.plan .underline {
  border-bottom-style: solid;
  border-bottom-width: 1px;
  text-decoration: none;
}

.plan-free .underline {
  border-color: $color-black333;
}

.plan-silver-premium .underline {
  border-color: $color-purple-light-2020;
}

.plan-gold-ultimate .underline {
  border-color: $color-orange-2020;
}

.benefits-view-more,
.benefits-view-less {
  cursor: pointer;
}

.benefits-view-more.hidden,
.benefits-view.hidden {
  height: 0;
  opacity: 0;
  overflow: hidden;
}

.benefits-view-more {
  margin-top: 16px;
}

.benefits-view-less {
  margin: 16px auto 8px auto;
}

.experiment-test .plan-silver-premium:after {
  @include slp-font-size-xs;
  content: "** Self-managed plans only";
  display: block;
  padding-top: 16px;
}

///////// MOBILE PLAN MATRIX


@media (max-width: $breakpoint-md) {

  .cmp-pricing-plan-list {
    margin-left: -15px;
    margin-right: -15px;
  }

  .plans {
    flex-wrap: nowrap;
  }

  .slp-container .plan {
    padding: .8rem;
    width: 70vw;
  }

}

.cmp-pricing-plan-list .pricing-nav-mobile {
  position: relative;
}

.cmp-pricing-plan-list .pricing-nav-mobile ul {
  display: none;
}

.cmp-pricing-plan-list .pricing-nav-mobile ul.slick-dots {
  border-bottom: 2px solid $color-black333;
  bottom: 0;
  display: block;
  font-size: 0;
  margin: 0px 0px 20px 0px;
  position: relative;
}

.cmp-pricing-plan-list .pricing-nav-mobile li {
  border: 0 none;
  border-bottom: 4px solid transparent;
  display: inline-block;
  height: inherit;
  list-style-type: none;
  margin: 0;
  outline: none;
  padding: 0;
  vertical-align: bottom;
  width: calc(100% / 3);
}

.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation00"],
.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation10"] {
  border-color: $color-black333;
}

.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation01"],
.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation11"] {
  border-color: $color-purple-light-2020;
}

.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation02"],
.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation12"] {
  border-color: $color-orange-2020;
}

.cmp-pricing-plan-list .pricing-nav-mobile li button {
  border: 0 none;
  font-size: 0;
  height: inherit;
  outline: 0;
  padding: 0;
  width: 100%;
}

.cmp-pricing-plan-list .pricing-nav-mobile li button:before {
  @include slp-font-size-base;
  display: block;
  font-family: $font-family-primary;
  padding: 8px 0px;
  position: static;
  height: inherit;
  opacity: 1;
  width: 100%;
}

.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation00"] button:before,
.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation10"] button:before {
  content: "FREE";
}

.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation01"] button:before,
.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation11"] button:before {
  content: "Premium";
}

.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation02"] button:before,
.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation12"] button:before {
  content: "Ultimate";
}

////// New for the localization landing pages

.plans .features {
  display: none;
}

////////////////////////////////
///////////* BUY MODAL *////////////
////////////////////////////////

// Below items were copy-pasted from preexisting styles


.pricing-page {

  .modal {
    .modal-dialog {
      align-items: center;
      display: flex;
      height: 100%;
      margin-bottom: 0;
      margin-top: 0;
    }

    .modal-content {
      width: 100%;
    }

    .modal-header {
      border: 0;
      display: flex;
      justify-content: flex-end;

      .close {
        border: 0;
        font-size: 24px;
      }
    }

    &.buy-modal {
      .modal-header {
        padding: 10px 10px 0 16px;

        .close {
          margin-top: 0;
        }
      }

      .modal-body {
        display: flex;
      }
    }

    &.compare-modal {
      .modal-header {
        padding: 0;
        position: relative;

        .close {
          margin-top: 2px;
          margin-right: 6px;
          position: absolute;
          z-index: 200;
        }
      }

      .modal-body {
        display: block;
      }
    }

    .modal-body {
      padding: 0px 24px 24px 24px;

      .hosted,
      .self-managed {
        align-items: center;
        display: flex;
        flex-direction: column;
        width: 50%;
      }

      .hosted {
        border-right: 1px solid $border-color;
        padding-right: 16px;
      }

      .self-managed {
        padding-left: 16px;
      }

      .explanation {
        flex-grow: 1;
      }

      .button, 
      .btn {
        white-space: nowrap;
        width: 100%;
      }
    }
  }
}

// Below items are overrides or new styles for the modal

@media (max-width: 500px) {
  :root .pricing-page .modal.buy-modal .modal-body {
    display: block;
  }

  :root .pricing-page .modal .modal-body .hosted,
  :root .pricing-page .modal .modal-body .self-managed {
    border: 0;
    display: block;
    margin: 0;
    padding: 0;
    width: 100%;
  }

  :root .pricing-page .modal .modal-body .hosted {
    border-bottom: 1px solid $border-color;
    margin-bottom: 2.4rem;
    padding-bottom: 2.4rem;
  }

}

:root .modal-backdrop.in {
  opacity: .85;
}

.buy-modal .title {
  @include slp-font-size-xl;
}

.buy-modal .subtitle {
  @include slp-font-size-sm;
}

.buy-modal .setup {
  @include slp-bold;
  margin-top: 1.6rem;
}

.buy-modal .explanation {
  @include slp-font-size-sm;
  margin-bottom: 1.6rem;
}

////////////////////////////////
///////////* LEARN MORE *////////////
////////////////////////////////

.highlight-gray-light .cmp-learn-more-cards {
  margin-bottom: -80px;
}

.learn-cards {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.learn-cards .col-md-4 {
  display: flex;
  float: none;
  flex: 0 0 auto;
  vertical-align: top;
}

@media (max-width: 959px) {
  .learn-cards .col-md-4 {
    width: 100%;
  }
}

.learn-card {
  background: $color-white;
  border-radius: $border-radius-large;
  box-shadow: $slp-box-shadow;
  flex: 0 0 auto;
  margin: 0 15px 15px 15px;
  padding: 30px;
  width: calc(100% - 30px);
}

.learn-card svg {
  height: 38px;
  margin-bottom: 1.8rem;
}

.learn-card p {
  min-height: 5.6rem;
  /* two line-heights tall */
}

@media (max-width: 959px) {
  .learn-card p {
    min-height: unset;
  }
}

.learn-card .btn {
  margin-left: 0;
}
